Adjust inventory
Change variants' available quantity by a delta.
Body·
required
application/json
- Type: array of AdjustInventoryItem 1…10itemsrequiredProperties: 3
The variants to adjust, applied independently. At most 10 items per request.
Responses
- application/json
- 403
Inventory writes are not enabled for this seller.
- 422
The request failed validation.
Request Example for post/inventory/adjust
curl https://api.whatnot.com/seller-api/rest/v2/inventory/adjust \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"items": [
{
"variant_id": "",
"delta": -2147483647,
"idempotency_key": ""
}
]
}'
{
"results": [
{
"variant_id": "string",
"idempotency_key": "string",
"status": "applied",
"previous_quantity": 1,
"new_quantity": 1,
"warnings": [
"result_clamped_to_zero"
]
}
]
}